<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.0</TargetFramework>
  </PropertyGroup>
  <PropertyGroup>
    <AspNetCoreHostingModel>OutOfProcess</AspNetCoreHostingModel>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Properties\PublishProfiles\**" />
    <Content Remove="Properties\PublishProfiles\**" />
    <EmbeddedResource Remove="Properties\PublishProfiles\**" />
    <None Remove="Properties\PublishProfiles\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="web.config" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DotNetCore.CAP" Version="2.6.0" />
    <PackageReference Include="DotNetCore.CAP.MongoDB" Version="2.6.0" />
    <PackageReference Include="DotNetCore.CAP.RabbitMQ" Version="2.6.0" />
    <PackageReference Include="JWT" Version="5.3.1" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.0.0" />
    <PackageReference Include="System.IO.FileSystem" Version="4.3.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Mall.AOP\Mall.AOP.csproj" />
    <ProjectReference Include="..\Mall.CacheManager\Mall.CacheManager.csproj" />
    <ProjectReference Include="..\Mall.Common\Mall.Common.csproj" />
    <ProjectReference Include="..\Mall.DataHelper\Mall.DataHelper.csproj" />
    <ProjectReference Include="..\Mall.Model\Mall.Model.csproj" />
    <ProjectReference Include="..\Mall.Module.BaseSetUp\Mall.Module.BaseSetUp.csproj" />
    <ProjectReference Include="..\Mall.Module.MarketingCenter\Mall.Module.MarketingCenter.csproj" />
    <ProjectReference Include="..\Mall.Module.Product\Mall.Module.Product.csproj" />
    <ProjectReference Include="..\Mall.Module.Property\Mall.Module.Property.csproj" />
    <ProjectReference Include="..\Mall.Module.User\Mall.Module.User.csproj" />
    <ProjectReference Include="..\Mall.ThirdCore\Mall.ThirdCore.csproj" />
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="https://json-schema.org/draft/2019-09/schema" /></VisualStudio></ProjectExtensions>


</Project>
